#include <msp/gl/extensions/msp_primitive_restart.h>
#include "batch_backend.h"

namespace Msp {
namespace GL {

OpenGLBatch::OpenGLBatch(PrimitiveType t):
	gl_prim_type(get_gl_primitive_type(t)),
	gl_index_type(GL_UNSIGNED_SHORT)
{ }

bool OpenGLBatch::check_restart(bool require)
{
	if(require)
		static Require _req(MSP_primitive_restart);
	return MSP_primitive_restart;
}

void OpenGLBatch::set_index_type(DataType t)
{
	gl_index_type = get_gl_type(t);
}

} // namespace GL
} // namespace Msp
