#include <stdexcept>
#include "batch_backend.h"
#include "vulkan.h"

using namespace std;

namespace Msp {
namespace GL {

unsigned get_vulkan_index_type(DataType t)
{
	switch(t)
	{
	case UNSIGNED_SHORT: return VK_INDEX_TYPE_UINT16;
	case UNSIGNED_INT: return VK_INDEX_TYPE_UINT32;
	default: throw invalid_argument("get_vulkan_index_type");
	}
}

} // namespace GL
} // namespace Msp
