#ifndef MSP_GL_BLEND_BACKEND_H_
#define MSP_GL_BLEND_BACKEND_H_

#ifndef MSP_GL_BLEND_H_
#error "blend_backend.h requires blend.h"
#endif

namespace Msp {
namespace GL {

unsigned get_vulkan_blend_equation(BlendEquation);
unsigned get_vulkan_blend_factor(BlendFactor);
unsigned get_vulkan_color_mask(ColorWriteMask);

} // namespace GL
} // namespace Msp

#endif
