#ifndef MSP_GL_VULKAN_FENCE_H_
#define MSP_GL_VULKAN_FENCE_H_

#include "handles.h"

namespace Msp {
namespace GL {

class Device;

class Fence
{
	friend class VulkanCommands;

private:
	Device &device;
	VkFence handle;

public:
	Fence(bool = false);
	Fence(Fence &&);
	~Fence();

	bool get_status();
	void reset();
	void wait();
};


} // namespace GL
} // namespace Msp

#endif
