#ifndef MSP_GL_BATCH_BACKEND_H_
#define MSP_GL_BATCH_BACKEND_H_

#include "datatype.h"
#include "primitivetype.h"

namespace Msp {
namespace GL {

class OpenGLBatch
{
	friend class OpenGLCommands;

protected:
	unsigned gl_prim_type;
	unsigned gl_index_type;

	OpenGLBatch(PrimitiveType);

	static bool check_restart(bool);

	void set_index_type(DataType);
};

using BatchBackend = OpenGLBatch;

} // namespace GL
} // namespace Msp

#endif
