#ifndef MSP_GL_RENDERER_BACKEND_H_
#define MSP_GL_RENDERER_BACKEND_H_

#include <msp/core/noncopyable.h>
#include "pipelinestate.h"

namespace Msp {
namespace GL {

class OpenGLRenderer: public NonCopyable
{
protected:
	PipelineState pipeline_state;

	void begin() { }
	void end();
};

using RendererBackend = OpenGLRenderer;

} // namespace GL
} // namespace Msp

#endif
