#ifndef MSP_GL_TEXTURE2DARRAY_BACKEND_H_
#define MSP_GL_TEXTURE2DARRAY_BACKEND_H_

#include "texture3d.h"

namespace Msp {
namespace GL {

class OpenGLTexture2DArray: public Texture3D
{
protected:
	OpenGLTexture2DArray();

public:
	virtual std::size_t get_data_size() const;
};

using Texture2DArrayBackend = OpenGLTexture2DArray;

} // namespace GL
} // namespace Msp

#endif
