#ifndef MSP_GL_TEXTURE2DMULTISAMPLE_BACKEND_H_
#define MSP_GL_TEXTURE2DMULTISAMPLE_BACKEND_H_

#include "texture.h"

namespace Msp {
namespace GL {

class OpenGLTexture2DMultisample: public Texture
{
protected:
	OpenGLTexture2DMultisample();

	void allocate();

public:
	virtual AsyncLoader *load(IO::Seekable &, const Resources * = 0) { return 0; }
	virtual std::size_t get_data_size() const;
	virtual void unload() { }
};

using Texture2DMultisampleBackend = OpenGLTexture2DMultisample;

} // namespace GL
} // namespace Msp

#endif
