#include "device.h"
#include "windowview.h"
#include "windowview_backend.h"

namespace Msp {
namespace GL {

void OpenGLWindowView::render()
{
	View::render();
	Device &device = static_cast<WindowView *>(this)->device;
	device.get_context().swap_buffers();
}

void OpenGLWindowView::resize_framebuffer(unsigned w, unsigned h)
{
	sys_framebuf.resize(w, h);
}

} // namespace GL
} // namespace Msp
