#include "camera_backend.h"
#include "matrix.h"

namespace Msp {
namespace GL {

void VulkanCamera::adjust_projection_matrix(Matrix &proj_matrix)
{
	Matrix adjust;
	adjust(1, 1) = -1.0f;
	adjust(2, 2) = 0.5f;
	adjust(2, 3) = 0.5f;
	proj_matrix = adjust*proj_matrix;
}

} // namespace GL
} // namespace Msp
