#ifndef MSP_GL_PIXELFORMAT_BACKEND_H_
#define MSP_GL_PIXELFORMAT_BACKEND_H_

#ifndef MSP_GL_PIXELFORMAT_H_
#error "pixelformat_backend.h requires pixelformat.h"
#endif

namespace Msp {
namespace GL {

unsigned get_vulkan_pixelformat(PixelFormat);
unsigned get_vulkan_aspect(PixelComponents);
unsigned get_vulkan_attachment_layout(PixelComponents);
PixelFormat pixelformat_from_vulkan(unsigned);
const unsigned *get_vulkan_swizzle(ComponentSwizzle);

} // namespace GL
} // namespace Msp

#endif
