#include <stdexcept>
#include "query.h"
#include "query_backend.h"
#include "vulkan.h"

using namespace std;

namespace Msp {
namespace GL {

VulkanQueryPool::VulkanQueryPool(unsigned t):
	vulkan_type(get_vulkan_query_type(t))
{
	throw logic_error("VulkanQueryPool is unimplemented");
}

VulkanQueryPool::VulkanQueryPool(VulkanQueryPool &&other):
	vulkan_type(other.vulkan_type)
{ }

VulkanQueryPool::~VulkanQueryPool()
{ }

void VulkanQueryPool::resize()
{ }

unsigned VulkanQueryPool::get_result(unsigned) const
{
	return 0;
}


unsigned get_vulkan_query_type(unsigned t)
{
	switch(t)
	{
	case OCCLUSION_QUERY: return VK_QUERY_TYPE_OCCLUSION;
	default: throw invalid_argument("get_vulkan_query_type");
	}
}

} // namespace GL
} // namespace Msp
