#ifndef MSP_GL_VULKAN_SEMAPHORE_H_
#define MSP_GL_VULKAN_SEMAPHORE_H_

#include "handles.h"

namespace Msp {
namespace GL {

class Device;

class Semaphore
{
	friend class SwapChain;
	friend class VulkanCommands;

private:
	Device &device;
	VkSemaphore handle;

public:
	Semaphore();
	~Semaphore();
};

} // namespace GL
} // namespace Msp

#endif
