#ifndef MSP_GL_VULKAN_SWAPCHAINTEXTURE_H_
#define MSP_GL_VULKAN_SWAPCHAINTEXTURE_H_

#include "texture2d.h"

namespace Msp {
namespace GL {

class SwapChainTexture: public Texture2D
{
	friend class SwapChain;

private:
	SwapChainTexture(PixelFormat, unsigned, unsigned, VkImage);
public:
	SwapChainTexture(SwapChainTexture &&) = default;
	~SwapChainTexture();
};

} // namespace GL
} // namespace Msp

#endif
