#ifndef MSP_GL_TEXTURE2DARRAY_BACKEND_H_
#define MSP_GL_TEXTURE2DARRAY_BACKEND_H_

#include "texture3d.h"

namespace Msp {
namespace GL {

class VulkanTexture2DArray: public Texture3D
{
protected:
	VulkanTexture2DArray();

	virtual void fill_image_info(void *) const;
};

using Texture2DArrayBackend = VulkanTexture2DArray;

} // namespace GL
} // namespace Msp

#endif
